Bug 240736 - [NEW PORT] astro/py-ephem: Compute positions of the planets and stars
Summary: [NEW PORT] astro/py-ephem: Compute positions of the planets and stars
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Kubilay Kocak
URL:
Keywords: feature
Depends on:
Blocks: 240735
  Show dependency treegraph
 
Reported: 2019-09-21 17:35 UTC by Rainer Hurling
Modified: 2019-12-20 10:09 UTC (History)
4 users (show)

See Also:
koobs: maintainer-feedback+
koobs: merge-quarterly+


Attachments
New port astro/py-ephem 3.7.7.0 (2.98 KB, text/plain)
2019-09-21 17:35 UTC, Rainer Hurling
no flags Details
diff based on svn copy astro/pyephem -> astro/py-ephem (3.78 KB, patch)
2019-12-04 17:47 UTC, Rainer Hurling
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Rainer Hurling 2019-09-21 17:35:21 UTC
Created attachment 207700 [details]
New port astro/py-ephem 3.7.7.0

For more than 12 years now there is astro/pyephem in the ports. The recent update of the sources changed the naming scheme from pyephem to ephem[1][2]. The version 3.7.7.0 in the ports is only a stub, which needs ephem as a dependency[3].

Because several ports in the FreeBSD ports tree have astro/pyephem as a dependency, the author Brandon Rhodes suggests to hold pyephem to direct to ephem from there. Following this advice, I added astro/py-ephem as a dependency in astro/pyephem and created a new port for ephem, astro/py-ephem. The naming scheme follows other Python ports.

@wen: In the new port astro/py-ephem[4] I signed in as the maintainer. I would be completely fine, if you instead want to be the maintainer, of course.


[1] https://rhodesmill.org/pyephem/
[2] https://pypi.org/project/ephem/

[3] Description section of PKG-INFO:l9-17

   "This package is a stub
    that contains no Python code,
    but lists ``ephem`` as its install requirement
    in case any old projects depend on this ``pyephem`` package name.
    New projects are encouraged to directly require the main package,
    which can be found at: https://pypi.org/project/ephem/ "

[4] https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=240735
Comment 1 Rainer Hurling 2019-09-21 17:37:33 UTC
A patch to change astro/pyephem to take astro/py-ephem as a dependency was submitted in bug #240736
Comment 2 Rainer Hurling 2019-09-21 17:38:33 UTC
Sorry, of course I mean this PR:

A patch to change astro/pyephem to take astro/py-ephem as a dependency was submitted in bug #240735
Comment 3 Kubilay Kocak freebsd_committer freebsd_triage 2019-10-08 01:53:41 UTC
Take this to understand the rename and figure out the best strategy
Comment 4 Wen Heping freebsd_committer 2019-12-03 06:43:49 UTC
(In reply to Kubilay Kocak from comment #3)
Would astro/py-ephem repocopied from astro/pyephem ?

wen
Comment 5 Rainer Hurling 2019-12-03 20:12:18 UTC
(In reply to Wen Heping from comment #4)

No, I think it is better to use the attached shar file. This port is new and slightly different from the predecessor (no port epoch, comment, no post-install).

What is unclear to me is, if category hamradio should be mentioned and if you, Wen, would like to be the maintainer again. As said before, this would be ok for me, of course.
Comment 6 Wen Heping freebsd_committer 2019-12-04 03:20:59 UTC
(In reply to Rainer Hurling from comment #5)
It is better you maintain this new port.
Thank you !

wen
Comment 7 Kubilay Kocak freebsd_committer freebsd_triage 2019-12-04 06:04:02 UTC
Summarise:

- pyphem was renamed to ephem upstream
- pyphem is now a empty stub package, that depends on ephem (upstream)
- This issue creates the new (ephem) port
- Bug 240735 updates pychem to depend on ephem (after the new port lands)

@Rainer If you could produce and attach a diff based on an svn copy of astro/pyechem -> astro/py-echem that would be much appreciated

I have additional comments/questions to add in bug 240735, and will them follow up here again if necessary

--

^Triage: Canonicalize summary: New ports are "[NEW PORT} cat/port: COMMENT"

There is sufficient background/explanation in comment 0, not to have to describe that rationale in the summary
Comment 8 Rainer Hurling 2019-12-04 17:47:05 UTC
Created attachment 209701 [details]
diff based on svn copy astro/pyephem -> astro/py-ephem

@Kubilay

Your summarize seems correct to me (except small typo 'pyphem' instead of pyephem). 
If my understanding is right, after the update the only task left for the old port, astro/pyephem, is to ensure the 'new' port, astro/py-ephem, is installed ...


Don't now, if the attached patch is, what you want to have?


Answering your issues in bug #240735, comment #5 needs more time. I will try to investigate ...
Comment 9 Diane Bruce freebsd_committer 2019-12-11 16:09:13 UTC
Are we good to go now? This is blocking gnuradio.
Comment 10 Rainer Hurling 2019-12-11 16:44:02 UTC
(In reply to Diane Bruce from comment #9)

Hi Diane,
As pointed out, this port is meant as the functional follow up of astro/pyephem (bug #240735), which is only a stub now, with no functional content.

Kubilay asked some questions in bug #240735. I will try to answer in the near next time.
Comment 11 Kubilay Kocak freebsd_committer freebsd_triage 2019-12-15 04:39:48 UTC
Review items (already taken care of in WIP):

- Add LICENSE_FILE where one is provided in the source distribution
- Add missing python (virtual) category to CATEGORIES
- Add test command to run test suite where one is available
Comment 12 commit-hook freebsd_committer 2019-12-15 09:24:49 UTC
A commit references this bug:

Author: koobs
Date: Sun Dec 15 09:24:45 UTC 2019
New revision: 520162
URL: https://svnweb.freebsd.org/changeset/ports/520162

Log:
  [NEW PORT] astro/py-ephem: Compute positions of the planets and stars

  PyEphem provides an ephem Python package for performing high-precision
  astronomy computations. The underlying numeric routines are coded in C
  and are the same ones that drive the popular XEphem astronomy application,
  whose author, Elwood Charles Downey, generously gave permission for their
  use in PyEphem. The name ephem is short for the word ephemeris, which is
  the traditional term for a table giving the position of a planet, asteroid,
  or comet for a series of dates.

  WWW: https://rhodesmill.org/pyephem/
  WWW: https://pypi.org/project/ephem/

  [1] Based on astro/pyephem

  PR: 		240736
  Submitted by:	Rainer Hurling <rhurlin gwdg de>
  MFH:		2019Q4 (required for fixing pyephem, unbreaking gnuradio et al)

Changes:
  head/astro/Makefile
  head/astro/py-ephem/
  head/astro/py-ephem/Makefile
  head/astro/py-ephem/distinfo
  head/astro/py-ephem/files/
  head/astro/py-ephem/files/patch-setup.py
  head/astro/py-ephem/pkg-descr
Comment 13 Rainer Hurling 2019-12-15 10:18:05 UTC
(In reply to commit-hook from comment #12)

Hi Koobs,

Thanks for the commit.

Only one question: Why did you change to 'db' as author (Created by) in the first line?
Comment 14 Kubilay Kocak freebsd_committer freebsd_triage 2019-12-15 10:20:53 UTC
(In reply to Rainer Hurling from comment #13)

You're welcome :)

I didn't, since the py-ephem port was based on (an svn copy of) pyephem, that's the line it had, and it would be less correct to change it (given the ports history)
Comment 15 Rainer Hurling 2019-12-15 10:33:48 UTC
(In reply to Kubilay Kocak from comment #14)

OK, I understand. Of course, that's correct and fine! Thanks for clarification.
Comment 16 Kubilay Kocak freebsd_committer freebsd_triage 2019-12-15 10:40:27 UTC
(In reply to Rainer Hurling from comment #15)

My pleasure :)

I'll close this and related issues once MFH'd, and all the affected (broken) ports are fixed.
Comment 17 Diane Bruce freebsd_committer 2019-12-15 14:14:24 UTC
(In reply to Rainer Hurling from comment #15)

I will add the "Created by" was a now obsolete requirement and had I been committing the port I would have removed the line as superfluous.
Comment 18 Rainer Hurling 2019-12-15 18:41:56 UTC
(In reply to Diane Bruce from comment #17)

Hi Diane,

I have no problem with this 'Created by' line. I was only wondering, where it came from ... ;)

Best wishes,
Rainer  DH6BAG
Comment 19 Kubilay Kocak freebsd_committer freebsd_triage 2019-12-15 23:50:49 UTC
(In reply to Diane Bruce from comment #17)

While I love crediting contributors, I'm personally +o on Created By: removals in ports, and believe we should find better more effective/visible ways of crediting and showcasing our contributor base

At this point however, the defacto guideline is:

- Removal by request/approval is OK, otherwise leave in place

*thought* I might start removing all of my 'Created by:'s to encourage others.
Comment 20 commit-hook freebsd_committer 2019-12-20 10:08:29 UTC
A commit references this bug:

Author: koobs
Date: Fri Dec 20 10:07:28 UTC 2019
New revision: 520492
URL: https://svnweb.freebsd.org/changeset/ports/520492

Log:
  MFH: r520162 [NEW] astro/py-ephem: Compute positions of the planets and stars

  PyEphem provides an ephem Python package for performing high-precision
  astronomy computations. The underlying numeric routines are coded in C
  and are the same ones that drive the popular XEphem astronomy application,
  whose author, Elwood Charles Downey, generously gave permission for their
  use in PyEphem. The name ephem is short for the word ephemeris, which is
  the traditional term for a table giving the position of a planet, asteroid,
  or comet for a series of dates.

  WWW: https://rhodesmill.org/pyephem/
  WWW: https://pypi.org/project/ephem/

  [1] Based on astro/pyephem

  PR: 		240736
  Submitted by:	Rainer Hurling <rhurlin gwdg de>

  Approved by:	ports-secteam (joneum)

Changes:
_U  branches/2019Q4/
  branches/2019Q4/astro/Makefile
  branches/2019Q4/astro/py-ephem/